Bug 157 - Network manager localization problem
: Network manager localization problem
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Marathon
: All Linux
: Normal enhancement
: ---
Assigned To: Mikhail Kompaniets
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 07:15 MSD by Vladimir Potapov
Modified: 2012-05-28 13:44 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
network manager - wrong translation (68.85 KB, image/png)
2012-04-30 07:15 MSD, Vladimir Potapov
Details
options window (53.14 KB, image/png)
2012-04-30 07:18 MSD, Vladimir Potapov
Details
KNetworkManager localization bugs (screenshot 1) (78.44 KB, image/png)
2012-05-27 15:10 MSD, Denis Koryavov
Details
NetworkManager localization bugs (screenshot 2) (67.44 KB, image/png)
2012-05-27 15:15 MSD, Denis Koryavov
Details
NetworkManager localization bugs (screenshot 3) (94.29 KB, image/png)
2012-05-27 15:19 MSD, Denis Koryavov
Details
NetworkManager localization bugs (screenshot 4) (64.19 KB, image/png)
2012-05-27 15:22 MSD, Denis Koryavov
Details
KDE Network settings - no localization (54.53 KB, image/png)
2012-05-28 05:34 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2012-04-30 07:15:17 MSD
Created attachment 77 [details]
network manager - wrong translation

Some network manager labels did not translated (see attachment)
Comment 1 Vladimir Potapov 2012-04-30 07:18:39 MSD
Created attachment 78 [details]
options window
Comment 2 Aleksandr Kazantcev 2012-04-30 09:37:28 MSD
All part of ru.po is localized. Similar as internal code error of KnetworkManager.
Comment 3 Vladimir Potapov 2012-04-30 12:36:41 MSD
May be, reassign this bug to KNetworkManager maintainer?
It`s really ugly bug :-(
Comment 4 Denis Koryavov 2012-05-27 15:09:18 MSD
Yes, there is the problem in knetworkmanager. For example, Russian name and description for service should be added here: /usr/share/kde4/services/kcm_networkmanagement.desktop (this file is the part of knetworkmanager-common):

Name[ru]=Сетевые соединения
Comment[ru]=Управление сетевыми соединениями
 
I've attached the screenshot with the other problems in KNetworkManager.
Comment 5 Denis Koryavov 2012-05-27 15:10:56 MSD
Created attachment 200 [details]
KNetworkManager localization bugs (screenshot 1)
Comment 6 Denis Koryavov 2012-05-27 15:15:57 MSD
Created attachment 201 [details]
NetworkManager localization bugs (screenshot 2)
Comment 7 Denis Koryavov 2012-05-27 15:19:32 MSD
Created attachment 202 [details]
NetworkManager localization bugs (screenshot 3)
Comment 8 Denis Koryavov 2012-05-27 15:22:59 MSD
Created attachment 203 [details]
NetworkManager localization bugs (screenshot 4)
Comment 9 Aleksandr Kazantcev 2012-05-27 21:43:05 MSD
Test this packages - they consists newest version and sync with latest pot file.

https://abf.rosalinux.ru/build_lists/579970
https://abf.rosalinux.ru/build_lists/579969
Comment 10 Vladimir Potapov 2012-05-28 05:34:38 MSD
Created attachment 210 [details]
KDE Network settings  - no localization

Remained one serious problem of localization, the rest have been fixed in the new version. But this is a KDE problem.
Comment 11 Aleksandr Kazantcev 2012-05-28 12:30:29 MSD
Some packages. Will be fix latest reported error.

https://abf.rosalinux.ru/build_lists/579972
https://abf.rosalinux.ru/build_lists/579974
Comment 12 Vladimir Potapov 2012-05-28 13:44:01 MSD
Ок!